FINCORE(1)

NAZWA
fincore - liczy strony zawartości pliku w pamięci

SKŁADNIA

fincore [opcje] plik...

OPIS

fincore liczy strony pamięci zawartości pliku obecne w pamięci operacyjnej (stąd nazwa: file in core) i zgłasza ich liczbę. Jeśli podczas liczenia wystąpi błąd, to na standardowe wyjście błędów wypisywany jest błąd, a fincore kontynuuje pracę nad pozostałymi plikami podanymi w wierszu poleceń.

Domyślne wyjście programu może się zmienić. Jeśli to możliwe, należy zatem unikać używania domyślnego wyjścia w swoich skryptach. Proszę zawsze jawnie definiować oczekiwane kolumny za pomocą opcji --output lista-kolumn w środowiskach, gdzie wymagane jest stabilne wyjście.

OPCJE

-n, --noheadings
    Nie wypisuje wiersza nagłówka w wyjściu statusu.

-b, --bytes
    Wypisuje rozmiary w bajtach, zamiast w formacie czytelnym dla ludzi.

    Domyślnie jednostką w której pokazywane są rozmiary jest bajt, a przedrostki jednostek są wielokrotnościami 2^10 (1024). Symbole jednostek są pokazywane w skróconej formie, aby poprawić czytelność, poprzez pokazanie jedynie pierwszej litery np. "1 KiB" i "1 MiB" stają się odpowiednio: "1 K" i "1 M", tj. cząstka "iB", będąca częścią nazw jednostek, jest celowo pomijana.

-o, --output lista
    Definiuje kolumny wyjściowe. Listę obecnie obsługiwanych kolumn pokaże opcja --help. Domyślną listę kolumn można rozszerzyć, podając listę w postaci +lista.

--output-all
    Wypisuje wszystkie dostępne kolumny.

-r, --raw
    Tworzy wyjście w formacie surowym. Wszystkie potencjalnie niebezpieczne znaki są cytowane szesnastkowo (\x<kod>).

-J, --json
    Używa formatu wyjściowego JSON.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

AUTORZY

ZOBACZ TAKŻE

mincore(2), getpagesize(2), getconf(1p), cachestat(2)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie fincore jest częścią pakietu util-linux, który można pobrać ze strony